Debian Bug report logs - #448408
ntp: License problem: Linked to both openssl and libreadline.

version graph

Package: ntp; Maintainer for ntp is Debian NTP Team <pkg-ntp-maintainers@lists.alioth.debian.org>; Source for ntp is src:ntp.

Reported by: Kurt Roeckx <kurt@roeckx.be>

Date: Sun, 28 Oct 2007 21:18:02 UTC

Severity: serious

Fixed in version ntp/1:4.2.4p4+dfsg-6

Done: Peter Eisentraut <petere@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian NTP Team <pkg-ntp-maintainers@lists.alioth.debian.org>:
Bug#448408; Package ntp. Full text and rfc822 format available.

Acknowledgement sent to Kurt Roeckx <kurt@roeckx.be>:
New Bug report received and forwarded. Copy sent to Debian NTP Team <pkg-ntp-maintainers@lists.alioth.debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Kurt Roeckx <kurt@roeckx.be>
To: submit@bugs.debian.org
Subject: ntp: License problem: Linked to both openssl and libreadline.
Date: Sun, 28 Oct 2007 22:11:32 +0100
Package: ntp
Severity: serious

Hi,

It seems that binaries like ntpq and ntpdc are linked to both openssl
and libreadline.  openssl is licensed under a BSD-like with advertisment
clause license and libreadline is licensed under the GPL.  And those
2 conflict.  There doesn't seem to be an exception for libreadline to
link against openssl, and it's unlikely since it's GNU software.

There are atleast 2 relevant bugs about this upstream:
http://bugs.ntp.org/931
http://bugs.ntp.org/952

And a document:
http://support.ntp.org/Dev/LineEditingLibraries

Upstream atleast seem to want to add support for libedit, which is
under the 3 clause BSD license, and editline which is readline
replacement that is under a license simular to a BSD license.


Kurt





Information forwarded to debian-bugs-dist@lists.debian.org, Debian NTP Team <pkg-ntp-maintainers@lists.alioth.debian.org>:
Bug#448408; Package ntp. Full text and rfc822 format available.

Acknowledgement sent to Kurt Roeckx <kurt@roeckx.be>:
Extra info received and forwarded to list. Copy sent to Debian NTP Team <pkg-ntp-maintainers@lists.alioth.debian.org>. Full text and rfc822 format available.

Message #10 received at 448408@bugs.debian.org (full text, mbox):

From: Kurt Roeckx <kurt@roeckx.be>
To: 448408@bugs.debian.org
Subject: ntp: License problem: Linked to both openssl and libreadline.
Date: Sun, 3 Feb 2008 11:41:29 +0100
The ntp-dev (4.2.5p110) atleast has support for
--with-lineeditlibs     edit,editline,readline

So I would like to wait for the next stable release.


Kurt





Information forwarded to debian-bugs-dist@lists.debian.org, Debian NTP Team <pkg-ntp-maintainers@lists.alioth.debian.org>:
Bug#448408; Package ntp. Full text and rfc822 format available.

Acknowledgement sent to Johannes Wiedersich <johannes@physik.blm.tu-muenchen.de>:
Extra info received and forwarded to list. Copy sent to Debian NTP Team <pkg-ntp-maintainers@lists.alioth.debian.org>. Full text and rfc822 format available.

Message #15 received at 448408@bugs.debian.org (full text, mbox):

From: Johannes Wiedersich <johannes@physik.blm.tu-muenchen.de>
To: 448408@bugs.debian.org
Subject: upstream bugs closed
Date: Thu, 05 Jun 2008 13:01:49 +0200
-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

It appears from [1] that both bugs [2,3] have been closed in the current
development version 4.2.5p117 on 2008/05/21 [4].

Looking foreward to see ntp back in testing!

Thanks,

Johannes

[1] http://www.eecis.udel.edu/~ntp/ntp_spool/ntp4/ChangeLog-dev
[2] http://bugs.ntp.org/931
[3] http://bugs.ntp.org/952
[4] http://support.ntp.org/bin/view/Main/SoftwareDownloads
-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.6 (GNU/Linux)

iD8DBQFIR8edC1NzPRl9qEURAoeKAKCAL7wDWCouVgu7Gai6uDY8qz3JzgCfXS2x
ckr0PAXPuOgXZd2flhgIcsw=
=/vAX
-----END PGP SIGNATURE-----




Information forwarded to debian-bugs-dist@lists.debian.org, Debian NTP Team <pkg-ntp-maintainers@lists.alioth.debian.org>:
Bug#448408; Package ntp. Full text and rfc822 format available.

Acknowledgement sent to Peter Eisentraut <peter_e@gmx.net>:
Extra info received and forwarded to list. Copy sent to Debian NTP Team <pkg-ntp-maintainers@lists.alioth.debian.org>. Full text and rfc822 format available.

Message #20 received at 448408@bugs.debian.org (full text, mbox):

From: Peter Eisentraut <peter_e@gmx.net>
To: 448408@bugs.debian.org
Subject: Re: Bug#448408: ntp: License problem: Linked to both openssl and libreadline.
Date: Sat, 14 Jun 2008 01:40:16 +0200
[Message part 1 (text/plain, inline)]
Obviously, the solution to this problem is that either readline or openssl has 
to go.  I figured that readline was easier, and libedit support is actually 
already there; it just needs some fixing (which is apparently also being 
worked on upstream).  With the attached patch, I believe the issue should be 
resolved.
[448408.patch (text/x-diff, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian NTP Team <pkg-ntp-maintainers@lists.alioth.debian.org>:
Bug#448408; Package ntp. Full text and rfc822 format available.

Acknowledgement sent to Peter Eisentraut <petere@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian NTP Team <pkg-ntp-maintainers@lists.alioth.debian.org>. Full text and rfc822 format available.

Message #25 received at 448408@bugs.debian.org (full text, mbox):

From: Peter Eisentraut <petere@debian.org>
To: control@bugs.debian.org
Cc: 446756@bugs.debian.org, 448408@bugs.debian.org
Subject: setting package to ntp ntp-doc ntpdate, tagging 446756, tagging 448408
Date: Sun, 15 Jun 2008 18:34:43 +0200
# Automatically generated email from bts, devscripts version 2.10.28
#
# ntp (1:4.2.4p4+dfsg-6) UNRELEASED; urgency=low
#
#  * Use libedit instead of libreadline, added libedit.patch (closes: #448408)
#  * While updating autotools.patch, added description how it is generated
#    (closes: #446756)
#

package ntp ntp-doc ntpdate
tags 446756 + pending
tags 448408 + pending





Tags added: pending Request was from Peter Eisentraut <petere@debian.org> to control@bugs.debian.org. (Sun, 15 Jun 2008 16:36:08 GMT) Full text and rfc822 format available.

Reply sent to Peter Eisentraut <petere@debian.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Kurt Roeckx <kurt@roeckx.be>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #32 received at 448408-close@bugs.debian.org (full text, mbox):

From: Peter Eisentraut <petere@debian.org>
To: 448408-close@bugs.debian.org
Subject: Bug#448408: fixed in ntp 1:4.2.4p4+dfsg-6
Date: Mon, 16 Jun 2008 11:17:48 +0000
Source: ntp
Source-Version: 1:4.2.4p4+dfsg-6

We believe that the bug you reported is fixed in the latest version of
ntp, which is due to be installed in the Debian FTP archive:

ntp-doc_4.2.4p4+dfsg-6_all.deb
  to pool/main/n/ntp/ntp-doc_4.2.4p4+dfsg-6_all.deb
ntp_4.2.4p4+dfsg-6.diff.gz
  to pool/main/n/ntp/ntp_4.2.4p4+dfsg-6.diff.gz
ntp_4.2.4p4+dfsg-6.dsc
  to pool/main/n/ntp/ntp_4.2.4p4+dfsg-6.dsc
ntp_4.2.4p4+dfsg-6_i386.deb
  to pool/main/n/ntp/ntp_4.2.4p4+dfsg-6_i386.deb
ntpdate_4.2.4p4+dfsg-6_i386.deb
  to pool/main/n/ntp/ntpdate_4.2.4p4+dfsg-6_i386.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 448408@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Peter Eisentraut <petere@debian.org> (supplier of updated ntp package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Mon, 16 Jun 2008 12:55:54 +0200
Source: ntp
Binary: ntp ntpdate ntp-doc
Architecture: source all i386
Version: 1:4.2.4p4+dfsg-6
Distribution: unstable
Urgency: low
Maintainer: Debian NTP Team <pkg-ntp-maintainers@lists.alioth.debian.org>
Changed-By: Peter Eisentraut <petere@debian.org>
Description: 
 ntp        - Network Time Protocol daemon and utility programs
 ntp-doc    - Network Time Protocol documentation
 ntpdate    - client for setting system time from NTP servers
Closes: 446756 448408 481049 482605 482628
Changes: 
 ntp (1:4.2.4p4+dfsg-6) unstable; urgency=low
 .
   * Put back accidentally removed /etc/defaults/ntpdate (closes: #482605)
   * Updated Homepage (closes: #482628)
   * Use libedit instead of libreadline, added libedit.patch (closes: #448408)
   * While updating autotools.patch, added description how it is generated
     (closes: #446756)
   * Since the scripts summary and plot_summary are not installed in a binary
     package, drop their mention from the copyright file, thus deconfusing
     lintian
   * Avoid timeout message from ntpdate.if-up when ntpdate package was removed
     but not purged (closes: #481049)
Checksums-Sha1: 
 3013f0c52a9c3f323255b53f1a7710842bfa3b31 1427 ntp_4.2.4p4+dfsg-6.dsc
 52c7fdfc8e2a5f05cd53faeac75a6bb4aef9f0fb 299659 ntp_4.2.4p4+dfsg-6.diff.gz
 bc87a0cbcba8d75ed04deedcaa0dd3a5548a77b3 926456 ntp-doc_4.2.4p4+dfsg-6_all.deb
 256de3c4b07a8ba3ac1d09d83c03b249c2da4ae7 433724 ntp_4.2.4p4+dfsg-6_i386.deb
 f07eddbdcaaf4cdb82aae56f490f9c061b61edfa 59598 ntpdate_4.2.4p4+dfsg-6_i386.deb
Checksums-Sha256: 
 e93a1e019c0ca6e11144b479330e15c103295ca23cd8a973aa6d2a4e09dbd114 1427 ntp_4.2.4p4+dfsg-6.dsc
 3c69340c3c0572049b707bc094e4e2035761d08072f610e41b7d8427e45cef25 299659 ntp_4.2.4p4+dfsg-6.diff.gz
 a78b99cf55062316c9c7d9637031ba199e949bba97abb5246c6b1db74b8ab748 926456 ntp-doc_4.2.4p4+dfsg-6_all.deb
 1470d049d0fa58fe9e7105e95e55b98e367777ba13ca9a2399c24293a8f36a3b 433724 ntp_4.2.4p4+dfsg-6_i386.deb
 07140c84503da6b82b8c67667c165abf2401e7c4c2be26ff85c55adb45b634d4 59598 ntpdate_4.2.4p4+dfsg-6_i386.deb
Files: 
 8dc70e7180a841f26f9034bf9f271dfe 1427 net optional ntp_4.2.4p4+dfsg-6.dsc
 1a0d8009a3b821ce81eb22035f948983 299659 net optional ntp_4.2.4p4+dfsg-6.diff.gz
 3190ede206e4d5679600d6262d82ea16 926456 doc optional ntp-doc_4.2.4p4+dfsg-6_all.deb
 d8954f51bc523c56a118980d186e59c0 433724 net optional ntp_4.2.4p4+dfsg-6_i386.deb
 236ee5656cd5b8994bdf54445e7dc34d 59598 net optional ntpdate_4.2.4p4+dfsg-6_i386.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.6 (GNU/Linux)

iD8DBQFIVkdPTTx8oVVPtMYRAmKkAJ9HvzsNtltZHgO23oCDY9/R3dVF7gCeNi0r
FTPyP5VU4W2lAPbTqHlIQug=
=Eoq4
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Tue, 10 Feb 2009 07:26:28 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sun Apr 20 04:10:07 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.